
package net.mcreator.mismods.client.renderer;

import net.minecraft.resources.ResourceLocation;
import net.minecraft.client.renderer.entity.layers.HumanoidArmorLayer;
import net.minecraft.client.renderer.entity.HumanoidMobRenderer;
import net.minecraft.client.renderer.entity.EntityRendererProvider;
import net.minecraft.client.model.geom.ModelLayers;
import net.minecraft.client.model.HumanoidModel;

import net.mcreator.mismods.entity.CrujidorFase2Entity;

import com.mojang.blaze3d.vertex.PoseStack;

public class CrujidorFase2Renderer extends HumanoidMobRenderer<CrujidorFase2Entity, HumanoidModel<CrujidorFase2Entity>> {
	public CrujidorFase2Renderer(EntityRendererProvider.Context context) {
		super(context, new HumanoidModel(context.bakeLayer(ModelLayers.PLAYER)), 0.5f);
		this.addLayer(new HumanoidArmorLayer(this, new HumanoidModel(context.bakeLayer(ModelLayers.PLAYER_INNER_ARMOR)), new HumanoidModel(context.bakeLayer(ModelLayers.PLAYER_OUTER_ARMOR)), context.getModelManager()));
	}

	@Override
	protected void scale(CrujidorFase2Entity entity, PoseStack poseStack, float f) {
		poseStack.scale(1.5f, 1.5f, 1.5f);
	}

	@Override
	public ResourceLocation getTextureLocation(CrujidorFase2Entity entity) {
		return new ResourceLocation("mis_mods:textures/entities/4467a42ffc845d8f.png");
	}
}
