
package net.mcreator.mismods.client.renderer;

import net.minecraft.resources.ResourceLocation;
import net.minecraft.client.renderer.entity.MobRenderer;
import net.minecraft.client.renderer.entity.EntityRendererProvider;
import net.minecraft.client.model.geom.ModelLayers;
import net.minecraft.client.model.CreeperModel;

import net.mcreator.mismods.entity.CreperEntity;

public class CreperRenderer extends MobRenderer<CreperEntity, CreeperModel<CreperEntity>> {
	public CreperRenderer(EntityRendererProvider.Context context) {
		super(context, new CreeperModel(context.bakeLayer(ModelLayers.CREEPER)), 3f);
	}

	@Override
	public ResourceLocation getTextureLocation(CreperEntity entity) {
		return new ResourceLocation("mis_mods:textures/entities/creeper.png");
	}
}
