
package net.mcreator.mismods.client.renderer;

import net.minecraft.resources.ResourceLocation;
import net.minecraft.client.renderer.entity.MobRenderer;
import net.minecraft.client.renderer.entity.EntityRendererProvider;
import net.minecraft.client.model.geom.ModelLayers;
import net.minecraft.client.model.GhastModel;

import net.mcreator.mismods.entity.GhastTnTEntity;

import com.mojang.blaze3d.vertex.PoseStack;

public class GhastTnTRenderer extends MobRenderer<GhastTnTEntity, GhastModel<GhastTnTEntity>> {
	public GhastTnTRenderer(EntityRendererProvider.Context context) {
		super(context, new GhastModel(context.bakeLayer(ModelLayers.GHAST)), 2f);
	}

	@Override
	protected void scale(GhastTnTEntity entity, PoseStack poseStack, float f) {
		poseStack.scale(2f, 2f, 2f);
	}

	@Override
	public ResourceLocation getTextureLocation(GhastTnTEntity entity) {
		return new ResourceLocation("mis_mods:textures/entities/ghasttnt.png");
	}
}
