
/*
 *    MCreator note: This file will be REGENERATED on each build.
 */
package net.mcreator.mismods.init;

import net.minecraftforge.registries.RegistryObject;
import net.minecraftforge.registries.ForgeRegistries;
import net.minecraftforge.registries.DeferredRegister;
import net.minecraftforge.fml.event.lifecycle.FMLCommonSetupEvent;
import net.minecraftforge.fml.common.Mod;
import net.minecraftforge.eventbus.api.SubscribeEvent;
import net.minecraftforge.event.entity.EntityAttributeCreationEvent;

import net.minecraft.world.entity.MobCategory;
import net.minecraft.world.entity.EntityType;
import net.minecraft.world.entity.Entity;

import net.mcreator.mismods.entity.ZombieTNTEntity;
import net.mcreator.mismods.entity.TntEntity;
import net.mcreator.mismods.entity.MinicrujidorEntity;
import net.mcreator.mismods.entity.GhastTnTEntity;
import net.mcreator.mismods.entity.CrujidorFase2Entity;
import net.mcreator.mismods.entity.CrujidorExplosivoEntity;
import net.mcreator.mismods.entity.CrujidorEntity;
import net.mcreator.mismods.entity.CreperEntity;
import net.mcreator.mismods.entity.BossendermanEntity;
import net.mcreator.mismods.MisModsMod;

@Mod.EventBusSubscriber(bus = Mod.EventBusSubscriber.Bus.MOD)
public class MisModsModEntities {
	public static final DeferredRegister<EntityType<?>> REGISTRY = DeferredRegister.create(ForgeRegistries.ENTITY_TYPES, MisModsMod.MODID);
	public static final RegistryObject<EntityType<BossendermanEntity>> BOSSENDERMAN = register("bossenderman", EntityType.Builder.<BossendermanEntity>of(BossendermanEntity::new, MobCategory.MONSTER).setShouldReceiveVelocityUpdates(true)
			.setTrackingRange(64).setUpdateInterval(3).setCustomClientFactory(BossendermanEntity::new).fireImmune().sized(0.6f, 1.7f));
	public static final RegistryObject<EntityType<TntEntity>> TNT = register("tnt",
			EntityType.Builder.<TntEntity>of(TntEntity::new, MobCategory.MISC).setCustomClientFactory(TntEntity::new).setShouldReceiveVelocityUpdates(true).setTrackingRange(64).setUpdateInterval(1).sized(0.5f, 0.5f));
	public static final RegistryObject<EntityType<GhastTnTEntity>> GHAST_TN_T = register("ghast_tn_t",
			EntityType.Builder.<GhastTnTEntity>of(GhastTnTEntity::new, MobCategory.MONSTER).setShouldReceiveVelocityUpdates(true).setTrackingRange(64).setUpdateInterval(3).setCustomClientFactory(GhastTnTEntity::new)

					.sized(2f, 2f));
	public static final RegistryObject<EntityType<CreperEntity>> CREPER = register("creper",
			EntityType.Builder.<CreperEntity>of(CreperEntity::new, MobCategory.MONSTER).setShouldReceiveVelocityUpdates(true).setTrackingRange(64).setUpdateInterval(3).setCustomClientFactory(CreperEntity::new)

					.sized(2f, 2f));
	public static final RegistryObject<EntityType<ZombieTNTEntity>> ZOMBIE_TNT = register("zombie_tnt",
			EntityType.Builder.<ZombieTNTEntity>of(ZombieTNTEntity::new, MobCategory.MONSTER).setShouldReceiveVelocityUpdates(true).setTrackingRange(64).setUpdateInterval(3).setCustomClientFactory(ZombieTNTEntity::new)

					.sized(0.6f, 1.8f));
	public static final RegistryObject<EntityType<MinicrujidorEntity>> MINICRUJIDOR = register("minicrujidor",
			EntityType.Builder.<MinicrujidorEntity>of(MinicrujidorEntity::new, MobCategory.MONSTER).setShouldReceiveVelocityUpdates(true).setTrackingRange(64).setUpdateInterval(3).setCustomClientFactory(MinicrujidorEntity::new)

					.sized(0.6f, 1.8f));
	public static final RegistryObject<EntityType<CrujidorEntity>> CRUJIDOR = register("crujidor",
			EntityType.Builder.<CrujidorEntity>of(CrujidorEntity::new, MobCategory.MONSTER).setShouldReceiveVelocityUpdates(true).setTrackingRange(64).setUpdateInterval(3).setCustomClientFactory(CrujidorEntity::new)

					.sized(0.6f, 1.8f));
	public static final RegistryObject<EntityType<CrujidorFase2Entity>> CRUJIDOR_FASE_2 = register("crujidor_fase_2", EntityType.Builder.<CrujidorFase2Entity>of(CrujidorFase2Entity::new, MobCategory.MONSTER).setShouldReceiveVelocityUpdates(true)
			.setTrackingRange(64).setUpdateInterval(3).setCustomClientFactory(CrujidorFase2Entity::new).fireImmune().sized(0.6f, 1.8f));
	public static final RegistryObject<EntityType<CrujidorExplosivoEntity>> CRUJIDOR_EXPLOSIVO = register("crujidor_explosivo",
			EntityType.Builder.<CrujidorExplosivoEntity>of(CrujidorExplosivoEntity::new, MobCategory.MONSTER).setShouldReceiveVelocityUpdates(true).setTrackingRange(64).setUpdateInterval(3).setCustomClientFactory(CrujidorExplosivoEntity::new)

					.sized(0.6f, 1.8f));

	// Start of user code block custom entities
	// End of user code block custom entities
	private static <T extends Entity> RegistryObject<EntityType<T>> register(String registryname, EntityType.Builder<T> entityTypeBuilder) {
		return REGISTRY.register(registryname, () -> (EntityType<T>) entityTypeBuilder.build(registryname));
	}

	@SubscribeEvent
	public static void init(FMLCommonSetupEvent event) {
		event.enqueueWork(() -> {
			BossendermanEntity.init();
			GhastTnTEntity.init();
			CreperEntity.init();
			ZombieTNTEntity.init();
			MinicrujidorEntity.init();
			CrujidorEntity.init();
			CrujidorFase2Entity.init();
			CrujidorExplosivoEntity.init();
		});
	}

	@SubscribeEvent
	public static void registerAttributes(EntityAttributeCreationEvent event) {
		event.put(BOSSENDERMAN.get(), BossendermanEntity.createAttributes().build());
		event.put(GHAST_TN_T.get(), GhastTnTEntity.createAttributes().build());
		event.put(CREPER.get(), CreperEntity.createAttributes().build());
		event.put(ZOMBIE_TNT.get(), ZombieTNTEntity.createAttributes().build());
		event.put(MINICRUJIDOR.get(), MinicrujidorEntity.createAttributes().build());
		event.put(CRUJIDOR.get(), CrujidorEntity.createAttributes().build());
		event.put(CRUJIDOR_FASE_2.get(), CrujidorFase2Entity.createAttributes().build());
		event.put(CRUJIDOR_EXPLOSIVO.get(), CrujidorExplosivoEntity.createAttributes().build());
	}
}
