
/*
 *    MCreator note: This file will be REGENERATED on each build.
 */
package net.mcreator.mismods.init;

import net.minecraftforge.registries.DeferredRegister;
import net.minecraftforge.fml.common.Mod;
import net.minecraftforge.eventbus.api.SubscribeEvent;
import net.minecraftforge.event.BuildCreativeModeTabContentsEvent;

import net.minecraft.world.item.CreativeModeTabs;
import net.minecraft.world.item.CreativeModeTab;
import net.minecraft.core.registries.Registries;

import net.mcreator.mismods.MisModsMod;

@Mod.EventBusSubscriber(bus = Mod.EventBusSubscriber.Bus.MOD)
public class MisModsModTabs {
	public static final DeferredRegister<CreativeModeTab> REGISTRY = DeferredRegister.create(Registries.CREATIVE_MODE_TAB, MisModsMod.MODID);

	@SubscribeEvent
	public static void buildTabContentsVanilla(BuildCreativeModeTabContentsEvent tabData) {
		if (tabData.getTabKey() == CreativeModeTabs.BUILDING_BLOCKS) {

			tabData.accept(MisModsModBlocks.INVOCADOR.get().asItem());

		} else if (tabData.getTabKey() == CreativeModeTabs.COMBAT) {

			tabData.accept(MisModsModItems.ESPADA_TNT.get());
			tabData.accept(MisModsModItems.SUPERESPADA_TNT.get());
			tabData.accept(MisModsModItems.TNTA_RMOR_HELMET.get());
			tabData.accept(MisModsModItems.TNTA_RMOR_CHESTPLATE.get());
			tabData.accept(MisModsModItems.TNTA_RMOR_LEGGINGS.get());
			tabData.accept(MisModsModItems.TNTA_RMOR_BOOTS.get());
			tabData.accept(MisModsModItems.FUEGOS_BOOTS.get());
			tabData.accept(MisModsModItems.CHEETOESPADA.get());

		} else if (tabData.getTabKey() == CreativeModeTabs.SPAWN_EGGS) {

			tabData.accept(MisModsModItems.BOSSENDERMAN_SPAWN_EGG.get());
			tabData.accept(MisModsModItems.GHAST_TN_T_SPAWN_EGG.get());
			tabData.accept(MisModsModItems.CREPER_SPAWN_EGG.get());
			tabData.accept(MisModsModItems.ZOMBIE_TNT_SPAWN_EGG.get());
			tabData.accept(MisModsModItems.MINICRUJIDOR_SPAWN_EGG.get());
			tabData.accept(MisModsModItems.CRUJIDOR_SPAWN_EGG.get());
			tabData.accept(MisModsModItems.CRUJIDOR_FASE_2_SPAWN_EGG.get());
			tabData.accept(MisModsModItems.CRUJIDOR_EXPLOSIVO_SPAWN_EGG.get());

		} else if (tabData.getTabKey() == CreativeModeTabs.INGREDIENTS) {

			tabData.accept(MisModsModItems.PEDAZODE_TNT.get());
			tabData.accept(MisModsModItems.TN_TNOCOMPLETA.get());
			tabData.accept(MisModsModItems.FUEGO.get());
			tabData.accept(MisModsModItems.CHEETOGEMA.get());
			tabData.accept(MisModsModItems.PEGAMENTO.get());
			tabData.accept(MisModsModItems.ALMADEZOMBIE_TNT.get());

		} else if (tabData.getTabKey() == CreativeModeTabs.TOOLS_AND_UTILITIES) {

			tabData.accept(MisModsModItems.PICO_TNT.get());
			tabData.accept(MisModsModItems.MUNDO_TNT.get());
			tabData.accept(MisModsModItems.AGUAVENENOSA_BUCKET.get());
			tabData.accept(MisModsModItems.PICOFUEGO.get());

		} else if (tabData.getTabKey() == CreativeModeTabs.FOOD_AND_DRINKS) {

			tabData.accept(MisModsModItems.CHEETO.get());
			tabData.accept(MisModsModItems.BOLSAVACIA.get());
			tabData.accept(MisModsModItems.CHEETOSOLO.get());

		} else if (tabData.getTabKey() == CreativeModeTabs.NATURAL_BLOCKS) {

			tabData.accept(MisModsModBlocks.MENADE_FUEGO.get().asItem());
			tabData.accept(MisModsModBlocks.BLOQUE_CHEETO.get().asItem());

		}
	}
}
